<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<!-- This file has been generated by tj3man v3.1.0 -->
<html lang="en" xml:lang="en" xmlns="http://www.w3.org/1999/xhtml">
 <head>
  <title>shift.allocate</title>
  <meta content="text/html; charset=utf-8" http-equiv="Content-Type"/>
  <meta content="The TaskJuggler Manual" name="description"/>
  <meta content="taskjuggler, project, management" name="keywords"/>
 </head>
 <link href="css/tjmanual.css" rel="stylesheet" type="text/css"></link>
 <body>
  <div align="center">
   <h3 align="center">The TaskJuggler User Manual</h3>
   <em align="center">Project Management beyond Gantt Chart Drawing</em>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="shift.html">shift</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="shift.resource.html">shift (resource)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div style="margin-left:5%; margin-right:5%">
   <p><table align="center" class="table"><tr align="left">
      <td class="tag" style="width:16%">Keyword</td>
      <td class="descr" style="width:84%; font-weight:bold">shift (allocate)</td>
     </tr></table></p>
   <p><div><span style="color:red">This keyword should no longer be used. It will be removed in future versions of this software.</span></div></p>
   <p>Use <a href="shifts.allocate.html">shifts (allocate)</a> instead.</p>
   <p><table align="center" class="table">
     <colgroup>
      <col width="16%"></col>
      <col width="24%"></col>
      <col width="60%"></col>
     </colgroup>
     <tr align="left">
      <td class="tag">Purpose</td>
      <td class="descr" colspan="2"><div>Limits the allocations of resources during the specified interval to the specified shift. Multiple shifts can be defined, but shift intervals may not overlap. Allocation shifts are an additional restriction to the <a href="shifts.task.html">task shifts</a> and <a href="shifts.resource.html">resource shifts</a> or <a href="workinghours.resource.html">resource working hours</a>. Allocations will only be made for time slots that are specified as duty time in all relevant shifts. The restriction to the shift is only active during the specified time interval. Outside of this interval, no restrictions apply.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Syntax</td>
      <td class="descr" colspan="2"><code>shift &lt;shift&gt; [&lt;interval2&gt;]</code></td>
     </tr>
     <tr align="left">
      <td class="tag" rowspan="2">Arguments</td>
      <td class="descr">shift [<a href="The_TaskJuggler_Syntax.html#ID">ID</a>]</td>
      <td class="descr"><div>The ID of a defined shift</div></td>
     </tr>
     <tr align="left">
      <td class="descr">interval2</td>
      <td class="descr"><div>See <a href="interval2.html">interval2</a> for details.</div></td>
     </tr>
     <tr align="left">
      <td class="tag">Context</td>
      <td class="descr" colspan="2"><a href="allocate.html">allocate</a></td>
     </tr>
     <tr align="left">
      <td class="tag">See also</td>
      <td class="descr" colspan="2"><a href="shifts.allocate.html">shifts (allocate)</a></td>
     </tr>
    </table></p>
  </div>
  <br/>
  <hr/>
  <table style="width:90%; margin-left:5%; margin-right:5%"><tr>
    <td style="text-align:left; width:35%;">&lt;&lt; <a href="shift.html">shift</a> &lt;&lt;</td>
    <td style="text-align:center; width:30%;"><a href="toc.html">Table Of Contents</a></td>
    <td style="text-align:right; width:35%;">&gt;&gt; <a href="shift.resource.html">shift (resource)</a> &gt;&gt;</td>
   </tr></table>
  <hr/>
  <br/>
  <div align="center" style="font-size:10px;">Copyright (c) 2006, 2007, 2008, 2009, 2010, 2011, 2012 by Chris Schlaeger &lt;chris@linux.com&gt;.<a href="http://www.taskjuggler.org">TaskJuggler</a> is a trademark of Chris Schlaeger.</div>
 </body>
</html>
